#!/bin/bash

# this file is executed by the systemd service

# remove Magma _open indicator (same as a "lock" file),
# this subverts Magma's safety check, but if controlled by systemd
# then we know it shouldn't be due to duplicate run
rm -f /home/squeaksource/webserver/ss.magma/_open 

./vm/squeak -vm-display-null -vm-sound-null -memory 2048m -eden 16m ss.image service.st `cat webPort`
